lcdproc (0.5.7-3) unstable; urgency=medium

  * control:
    * removed Jose and Nick from uploaders
    * depends on new cme package and no longer
      on libconfig-model-perl
    * removed versioned dep on libconfig-model-lcdproc-perl
    * updated Vcs-Browser and Std-Versions
  * rules: patch source to use date of last changelog entry
    as build date to make build reproducible

 -- Dominique Dumont <dod@debian.org>  Sun, 17 May 2015 17:26:43 +0200

lcdproc (0.5.7-2) unstable; urgency=medium

  * stop/start LCDd on suspend/wakeup (LP: #365474)
  * provide and use permanent symlink for imon device file (LP: #1186569)
    This requires udev for Linux.
  * control:
    + added depends on udev and libconfig-model-lcdproc-perl (>= 2.042-2)
    + added dependency on libconfig-model-perl >= 2.059 to avoid a bug

 -- Dominique Dumont <dod@debian.org>  Sun, 06 Jul 2014 19:20:33 +0200

lcdproc (0.5.7-1) unstable; urgency=medium

  * Imported Upstream version 0.5.7
  * copyright: exclude files generated by autoconf
  * refreshed patches
  * untabified debian/NEWS to keep lintian happy
  * control: depends on libconfig-model-lcdproc-perl 2.042

 -- Dominique Dumont <dod@debian.org>  Wed, 04 Jun 2014 18:31:30 +0200

lcdproc (0.5.6-1) unstable; urgency=low

  * new upstream version
  * post-install script performs merge of upstream and user
    configuration (only for /etc/LCDd.conf). See NEWS file for
    more details
  * /etc/LCDd.conf is no longer delivered as a conffile (in /etc)
  * old configuration file is saved as /etc/LCDd.conf.dpkg-old
  * control:
    * updated Standard-version to 3.9.5
    * added dependency on libconfig-model-lcdproc-perl (required for
      automatic configuration merge)
  * copyright: updated years

 -- Dominique Dumont <dod@debian.org>  Fri, 28 Mar 2014 13:00:55 +0100

lcdproc (0.5.5-4) unstable; urgency=low

  * control: removed build-dep on libirman-dev (Closes: #728067)

 -- Dominique Dumont <dod@debian.org>  Thu, 31 Oct 2013 19:01:30 +0100

lcdproc (0.5.5-3) unstable; urgency=low

  Main change: svga support is removed from Debian version of lcdproc
  as svgalib is going to be removed from Debian.

  * control:
    - removed build dependency on libsvga1-dev (Closes: #711096)
    * updated standard-version and git urls
  * init script:
    + added status option
    * source /lib/lsb/init-functions
  * compat raised to 9. This also enables hardening build (Closes: #719107)
    Thanks to Daniel Leidert for the bug report and the proposed patch.
  * rules:
    * tweak extra-driver list to pass only the library basename
      to --exclude option
    * added quotes around drivers list
    * removed dead test about svga
    * removed flags setting now handled by compat 9
    * tweak LCDd.conf to setup DRIVERPATH with multiarch lib path
  - hence removed LCDd-conf-for-debian patch
  * *.install: added a '*' to cope with arch triplet
  * copyright: updated years
  + new patch: tweak LCDd.conf to use syslog and run LCDd as root (to read
    /dev/lcd* file)

 -- Dominique Dumont <dod@debian.org>  Mon, 19 Aug 2013 19:39:50 +0200

lcdproc (0.5.5-2) unstable; urgency=low

  * Applied patch to cope with new automake 1.11.3 (Thanks Andreas)
    (Closes: #661343)
  * control: bumped standard-version to 3.9.3 (no other changes)
  * copyright: updated format URL

 -- Dominique Dumont <dod@debian.org>  Sun, 26 Feb 2012 19:00:59 +0100

lcdproc (0.5.5-1) unstable; urgency=low

  * new upstream version
  * copyright:
    + added Markus Dolze (current maintainer),
    * updated my e-mail address
  * control: updated my e-mail address
  - patches: removed dont_eat_characters fix-duplicate-svga-lib-in-
    acinclude fix-spelling patches (applied upstream)

 -- Dominique Dumont <dod@debian.org>  Sat, 12 Nov 2011 09:52:11 +0100

lcdproc (0.5.4-6) unstable; urgency=low

  * debian/control: added build-depends on automake

 -- Dominique Dumont <domi.dumont@free.fr>  Thu, 05 May 2011 18:54:18 +0200

lcdproc (0.5.4-5) unstable; urgency=low

  * debian/compat: bumped to 8
  * debian/control:
    + depends on debhelper >= 8
    - Architecture: support all os except hurd
  * debian/rules:
    + Added option '--with autotools-dev' to dh call (handles
      config.guess and config.sub).
    + Runs debian/autogen.sh before running configure
    + build and install svgsa.so only if /usr/lib/libvga.so* is
      present on the build system
    - removed some cruft.
  * debian/autogen.sh: new file copied from libautotools-dev
  * debian/clean: remove all files generated by autogen.sh
  * debian/lcdproc-extra-drivers.install: removed svga.so (now
    handled by debian/rules)
  * debian/patches: renamed to remove package name and version
    from patch names
  * debian/source/options: added extend-diff-ignore to ignore files
    generated by autogen.sh
  * debian/copyright: added copyright for debian/autogen.sh

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 04 May 2011 20:05:49 +0200

lcdproc (0.5.4-4) unstable; urgency=low

  * control:
    - added vcs-git and vcs-browser fields.
    - Cleaned up with Config::Model's config-edit.
    - Set architecture to any to build also armhf.
    - build-depend on libsvga1-dev [ i386 amd64 ]
  * imported dont_eat_characters.patch (Closes: #580378) (Nick
    Leverton)

 -- Dominique Dumont <domi.dumont@free.fr>  Mon, 11 Apr 2011 18:36:51 +0200

lcdproc (0.5.4-2) unstable; urgency=low

  [ Dominique Dumont ]

  * New upstream release
    Closes: #614621, #505756, #578166, #531863
  * control: switch to Standard-Version 3.9.1.
    Removed dependency on quilt, doxygen and libirman-dev.
    Removed Tag line out of Description (Closes: #488290)
  * copyright: updated to DEP5 format
  * source/format: now 3.0 (quilt)
  * rules: removed --with quilt. Removed irman driver (cannot compile
    because libirman.a is not relocatable)
  * install: no longer install test client scripts nor INSTALL file

  [ Nick Leverton ]

  * Add pkg-config to Build-Depends (Closes: #579059)
  * Convert to quilt patch system
  * Update debian/rules to use dh build system and debhelper 7
  * Add autotools-dev to Build-Depends for config.{guess,sub}
  * Use upstream man pages where they exist, instead of older Debian ones
  * Remove unused gentoo patch from 0.4.3 (Closes: #533177)
  * New lcdproc-extra-drivers package for drivers which need extra libs:
    picolcd (Closes: #536076), g15 (Closes: #578166), lirc (Closes: #407650).
  * Fix remaining lintian issues (patch lcdproc-0.5.3-debian-spelling.diff
    and Build-Depends on autotools-dev).

 -- Dominique Dumont <domi.dumont@free.fr>  Wed, 09 Mar 2011 19:04:39 +0100

lcdproc (0.5.2-3) unstable; urgency=low

  * Changed debian/watch to use SourceForge redirector

 -- Jonathan Oxer <jon@debian.org>  Tue, 13 Jan 2009 23:44:47 +0000

lcdproc (0.5.2-2) unstable; urgency=low

  * Added manpage for lcdvc
  * Fixed debian/rules make clean warning
  * Updated standards version to 3.8.0
  * Fixed formatting in long description
  * Fixed debian/watch upstream URL format so it will work with
    SourceForge (Closes: #449780)

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2008 02:35:22 +0000

lcdproc (0.5.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Support all architectures except s390.
  * Add support for kfreebsd, thanks Cyril Brulebois. (Closes: #416261)

 -- Thiemo Seufer <ths@debian.org>  Thu, 02 Oct 2008 09:06:08 +0200

lcdproc (0.5.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add armel to supported archs

 -- Colin Tuckley <colint@debian.org>  Fri, 05 Sep 2008 18:17:50 +0100

lcdproc (0.5.2-1) unstable; urgency=medium

  * New upstream version

  * Compilation issues
    - restrict building to just i386, amd64 (Closes: #400066)

  * Packaging
    - bumped standards-version to 3.7.3 with no changes

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 09 Mar 2008 00:25:50 +0100

lcdproc (0.5.1-3) unstable; urgency=medium

  * Compilation issues
    - restrict building to just i386, amd64 (Closes: #400066)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Fri,  8 Dec 2006 15:37:56 +0100

lcdproc (0.5.1-2) unstable; urgency=low

  * Compilation issues
    - restrict building to just i386, amd64 and ppc (Closes: #395986)
    - remaining arches will be re-added once lcdproc is migrated to 'ppdev'

  * Updated initscript to work with new syntax (Closes: #397072)
    - also fixed duplicate $NAME output

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 12 Nov 2006 14:20:28 +0100

lcdproc (0.5.1-1) unstable; urgency=medium

  * New upstream version
    - Fixes compiling on hppa (Closes: #389294)
    - Many new features and some config changes. Please read upstream's
    release notes for more information
  
  * Avoid needing a /etc/mtab file at build time (Closes: #391912)

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 15 Oct 2006 14:48:37 +0200

lcdproc (0.5.0-1) unstable; urgency=low

  * New upstream version (Closes: #367945)
    - New maintainer. Thank you for your previous work, Jon!
    - Upstream added suport for 'imon' devices (Closes: #365496)
    - Upstream fixed descriptor leak (Closes: #355460)
    - Upstream fixed placing widgets in frame (Closes: #355458)

  * Packaging
    - Depend on debconf-2.0; Allow transition (Closes: #331885)
    - Remove dependency on automake (Closes: #376449)
    - Include missing INSTALL instructions (Closes: #365436)
    - Changed most "by hand" installation steps into debhelper-based ones
    - Updated to 3.7.2 standards version

 -- Jose Luis Tallon <jltallon@adv-solutions.net>  Sun, 23 Jul 2006 20:23:48 +0200

lcdproc (0.4.5-1) unstable; urgency=high

  * New upstream release which fixes two buffer overflow / string
    format vulnerabilities. By the way, yes I know this package is
    'native' when it should be 'normal', but I'll fix that with
    another upload because I want to get this security update done
    ASAP since upstream indicate it's a serious problem.
  * Fixed location of example client 'metar.pl'.
    Closes: #249770

 -- Jonathan Oxer <jon@debian.org>  Wed, 19 May 2004 21:32:59 +1000

lcdproc (0.4.4-1) unstable; urgency=low

  * The April Fool's Release.
    Stable version bump adds some funky new things, including
    support for USB displays with a couple of new drivers. Also
    fixes a memory leak, some assorted bugs in render.c, some
    flickering problems with the CFontz driver. Adds upstream
    support for the Apple Network Server (ANS) LCD, which:
    (closes: #236687)

 -- Jonathan Oxer <jon@debian.org>  Thu,  1 Apr 2004 12:30:01 +1000

lcdproc (0.4.3-15) unstable; urgency=low

  * Applied patch from Gentoo by Bernhard Tittelbach which fixes a
    memory leak and some of the heartbeat handling (see
    http://bugs.gentoo.org/attachment.cgi?id=6981&action=view and
    debian/patches/lcdproc-0.4.3-gentoo.diff)

 -- Jonathan Oxer <jon@debian.org>  Wed, 17 Dec 2003 10:32:30 +1100

lcdproc (0.4.3-14) unstable; urgency=low

  * New maintainer.
    (closes: #196676)
  * Fix for trivial spelling mistayk in long description and
    added comment about creating custom clients.
    (closes: #199303)
  * Rebuilt package to bring it up to date with latest standards
    version, latest package scripts etc and renamed items such as
    init script and man pages in a more standard way.
  * Wrote man pages for all the example clients, but not set them
    to be installed because they have .pl extensions and
    dh_installman thinks they're in Polish. So also...
  * Moved all example clients into /usr/share/doc/lcdproc/examples

 -- Jonathan Oxer <jon@debian.org>  Mon,  8 Dec 2003 16:30:05 +1100

lcdproc (0.4.3-13) unstable; urgency=low

  * orphaning package see #196676

 -- Noel Koethe <noel@debian.org>  Sun, 29 Jun 2003 13:03:00 +0200

lcdproc (0.4.3-12) unstable; urgency=high

  * added missing patch to fix this problem
    http://online.securityfocus.com/archive/1/56411
  * updated Standards-Version
  * added USB controller patch
    (closes: Bug#166051)

 -- Noel Koethe <noel@debian.org>  Thu,  9 Jan 2003 12:10:00 +0100

lcdproc (0.4.3-11) unstable; urgency=low

  * 0.4.3 release version
  * updated Standards-Version to 3.5.7
  * enabled all drivers
    (closes: Bug#145314)
    (closes: Bug#141577)

 -- Noel Koethe <noel@debian.org>  Sat, 22 Sep 2002 00:15:00 +0200

lcdproc (0.4.3-10) unstable; urgency=medium

  * updated code from cvs to get all drivers updated.
    upstream maintainer asked for this for woody release
    this version will the 0.4.3 upstream release
  * small changes in description
  * added some upstream Docs which are not in the source

 -- Noel Koethe <noel@debian.org>  Tue, 18 Apr 2002 18:05:00 +0200

lcdproc (0.4.3-9) unstable; urgency=low

  * added .de template translation
    (closes: Bug#137482)
  * added URL to description

 -- Noel Koethe <noel@debian.org>  Sun, 24 Mar 2002 23:53:00 +0100

lcdproc (0.4.3-8) unstable; urgency=low

  * upstream fixed LCDd.8 and lcdproc.1 manpage
    (closes: Bug#136325)

 -- Noel Koethe <noel@debian.org>  Thu,  7 Mar 2002 11:45:00 +0100

lcdproc (0.4.3-7) unstable; urgency=low

  * added ru translation of template
    (closes: Bug#136596)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 12:47:00 +0100

lcdproc (0.4.3-6) unstable; urgency=low

  * removed --enable-drivers=all configure option
    because some drivers contains architecture
    dependent asm code
    (closes: Bug#136217)

 -- Noel Koethe <noel@debian.org>  Fri,  1 Mar 2002 21:30:00 +0100

lcdproc (0.4.3-5) unstable; urgency=low

  * small correction in description
  * added missing libc6-dev to build-deps

 -- Noel Koethe <noel@debian.org>  Wed, 27 Feb 2002 10:32:00 +0100

lcdproc (0.4.3-4) unstable; urgency=low

  * using the included init script (with small modifications)
  * using the included LCDd.conf
  * moved the perl examples to /usr/bin
  * added debconf note

 -- Noel Koethe <noel@debian.org>  Sun, 24 Feb 2002 17:42:00 +0100

lcdproc (0.4.3-3) unstable; urgency=low

  * corrected Daemon start

 -- Noel Koethe <noel@debian.org>  Wed, 20 Feb 2002 20:33:00 +0100

lcdproc (0.4.3-2) unstable; urgency=low

  * updated description
  * corrected driver option in init.d
    (closes: Bug#134590)

 -- Noel Koethe <noel@debian.org>  Mon, 18 Feb 2002 18:44:00 +0100

lcdproc (0.4.3-1) unstable; urgency=low

  * upstream version with security fixes

 -- Noel Koethe <noel@debian.org>  Sun, 27 Jan 2002 20:53:00 +0100

lcdproc (0.4.1-1) unstable; urgency=low

  * new upstream version from 2001-05-29
    (closes: Bug#129858)
    (closes: Bug#129857)
  * removed lcdprocconfig and uses now /etc/lcdproc.conf
    (closes: Bug#87427)
  * corrected init script
    (closes: Bug#98004)

 -- Noel Koethe <noel@debian.org>  Fri, 18 Jan 2002 22:32:00 +0100

lcdproc (0.3.4.5-1) unstable; urgency=low

  * new maintainer
    (closes: Bug#119089)
    (closes: Bug#70098)
    (closes: Bug#105036)
    (closes: Bug#67742)
    (closes: Bug#84518)
    (closes: Bug#87423)

 -- Noel Koethe <noel@debian.org>  Fri, 18 Jan 2002 18:40:00 +0100

lcdproc (0.3.4.5-0.2) unstable; urgency=low

  * NMU
  * Remove obsolete gcc option from Makefile. Closes: #105036

 -- Randolph Chung <tausq@debian.org>  Sat, 25 Aug 2001 20:58:19 -0700

lcdproc (0.3.4.5-0.1) unstable; urgency=low

  * Bugsquash party NMU.
  * New upstream release.
    - This should fix a floating point exception on startup (a grave bug,
      hence this NMU; closes: #70098). That bug report suggests upgrading
      only to 0.3.4.5 rather than any of the newer releases available, as
      they introduce new bugs. I'll leave newer releases to the maintainer.
  * Update URL and GPL pointer in copyright file.
  * Remove bashism from init script and use start-stop-daemon instead of
    pidof (closes: #67742).
  * Updated to policy version 3.1.1 and add build-depends (closes: #84518).
  * Removed obsolete dh_suidregister call from debian/rules.
  * lcdprocconfig is undocumented. Add the man page symlink (bug on its
    way).

 -- Colin Watson <cjwatson@debian.org>  Sat, 24 Feb 2001 16:25:33 +0000

lcdproc (0.3.4-3) unstable; urgency=low

  * Updated to Standards-Version 3.0.1, FHS.
  * Added correct dependencies (turns out I plum forgot the Depends:
    line in the control file) (closes: #44086)

 -- Brian Bassett <brianb@debian.org>  Sat,  6 Nov 1999 17:56:29 -0800

lcdproc (0.3.4-2) unstable; urgency=low

  * Fixed lcdproc dying from floating point exception when trying to display
    information about an autofs mount on the "D" screen.

 -- Brian Bassett <brianb@debian.org>  Sat, 29 Aug 1998 22:32:17 -0700

lcdproc (0.3.4-1) unstable; urgency=low

  * Initial release.

 -- Brian Bassett <brianb@debian.org>  Sun, 19 Jul 1998 11:19:46 -0700

